Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezgroupeventcalendar/user/monthview.php File Reference

Go to the source code of this file.

## Functions
| shortenText ($text, $chars=25)
| addZero ( $value)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $SiteDesign = $ini->variable( "site", "SiteDesign" )
| $Language = $ini->variable( "eZGroupEventCalendarMain", "Language" )
| $Sitedesign = $ini->variable( "site", "SiteDesign" )
| $TruncateTitle = $ini->variable( "eZGroupEventCalendarMain", "TruncateTitle" )
| $TruncateTitleSize = $ini->variable( "eZGroupEventCalendarMain", "TruncateTitleSize" )
| $TemplateDir = $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" )
| $GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" )
| $Locale = new eZLocale( $Language )
| $user = eZUser::currentUser()
| $session =& eZSession::globalSession()
| $URL = explode( "/", $_SERVER['REQUEST_URI'])
if(count( $URL)<=5) | else
| $groupID = $readGroup->id()
else | $GetByGroupID = 0
if(( $session->variable("ShowOtherCalendarGroups")==false)||(isSet( $GetByGroup))) | $eventGroup = new eZUserGroup( $session->variable( "ShowOtherCalendarGroups" ) )
if(( $session->variable("ShowOtherCalendarTypes")==false)||(isSet( $GetByTypeID))) | $type = new eZGroupEventType( $session->variable( "ShowOtherCalendarTypes" ) )
| $date = new eZDate()
| $Month = $date->month()
| $zMonth = addZero($Month)
| $isMyCalendar = ( $groupID && $groupID == $GetByGroupID )? "-private" :""
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $templateDirTmp = $sectionObject->templateStyle()
| $t
| $noShowGroup = new eZGroupNoShow()
| $user_groupID = "-1"
| $groupsList = "-1"
| $rootAccess = false
if( $user) | $permission = new eZGroupEditor()
| $new_event_link = false
| $headerDate = new eZDate()
for( $week_day=1; $week_day<=7; $week_day++) | $today = new eZDate()
| $tmpDate = new eZDate()
| $firstDay = $date->dayOfWeek( $Locale->mondayFirst() )
| $day_loop_count = 0
| $appointments = array()
| $tmpGroupEvent = new eZGroupEvent()
| $group = new eZUserGroup()
| $group_array =& $group->getAll()
foreach( $group_array as $groupItem) | $typeList = $type->getAll()

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 632 of file ezgroupeventcalendar/user/monthview.php.

References $ret.

## ◆ shortenText()

shortenText | ( |  | $text,
|  |  | $chars = `25`
| ) |  |

Definition at line 45 of file ezgroupeventcalendar/user/monthview.php.

## Variable Documentation

## ◆ $appointments

$appointments = array()

Definition at line 313 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $date

$date = new eZDate()

Definition at line 119 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $day_loop_count

$day_loop_count = 0

Definition at line 312 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $eventGroup

if (($session->variable("ShowOtherCalendarGroups")==false)||(isSet($GetByGroup))) $eventGroup = new eZUserGroup( $session->variable( "ShowOtherCalendarGroups" ) )

Definition at line 103 of file ezgroupeventcalendar/user/monthview.php.

Referenced by eZGroupEvent\notification().

## ◆ $firstDay

$firstDay = $date->dayOfWeek( $Locale->mondayFirst() )

Definition at line 311 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $GetByGroupID

else $GetByGroupID = 0

Definition at line 91 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $GlobalSectionID

$GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" )

Definition at line 65 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $group

$group = new eZUserGroup()

Definition at line 551 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $group_array

$group_array =& $group->getAll()

Definition at line 552 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $groupID

$groupID = $readGroup->id()

Definition at line 85 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $groupsList

$groupsList = "-1"

Definition at line 172 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $headerDate

$headerDate = new eZDate()

Definition at line 287 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 56 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $isMyCalendar

$isMyCalendar = ( $groupID && $groupID == $GetByGroupID )? "-private" :""

Definition at line 145 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $Language

$Language = $ini->variable( "eZGroupEventCalendarMain", "Language" )

Definition at line 59 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 67 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $Month

$Month = $date->month()

Definition at line 138 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $new_event_link

$new_event_link = false

Definition at line 191 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $noShowGroup

$noShowGroup = new eZGroupNoShow()

Definition at line 169 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $permission

if ($user) $permission = new eZGroupEditor()

Definition at line 190 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $rootAccess

$rootAccess = false

Definition at line 174 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 148 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 70 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $SiteDesign

$SiteDesign = $ini->variable( "site", "SiteDesign" )

Definition at line 58 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $Sitedesign

$Sitedesign = $ini->variable( "site", "SiteDesign" )

Definition at line 60 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( $TemplateDir,
"kernel/ezgroupeventcalendar/user/intl", $Language, "monthview.php",
"default", "kernel/ezgroupeventcalendar" . "/user", "$Year-$zMonth-$GetByGroupID" . $isMyCalendar )
eZTemplate
Definition: eztemplate.php:107
$isMyCalendar
$isMyCalendar
Definition: ezgroupeventcalendar/user/monthview.php:145
$TemplateDir
$TemplateDir
Definition: ezgroupeventcalendar/user/monthview.php:64
$Language
$Language
Definition: ezgroupeventcalendar/user/monthview.php:59

Definition at line 163 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $TemplateDir

$TemplateDir = $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" )

Definition at line 64 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $templateDirTmp

$templateDirTmp = $sectionObject->templateStyle()

Definition at line 151 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $tmpDate

$tmpDate = new eZDate()

Definition at line 309 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $tmpGroupEvent

$tmpGroupEvent = new eZGroupEvent()

Definition at line 314 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $today

for ($week_day=1;$week_day<=7;$week_day++) $today = new eZDate()

Definition at line 308 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $TruncateTitle

$TruncateTitle = $ini->variable( "eZGroupEventCalendarMain", "TruncateTitle" )

Definition at line 61 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $TruncateTitleSize

$TruncateTitleSize = $ini->variable( "eZGroupEventCalendarMain", "TruncateTitleSize" )

Definition at line 62 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $type

if (($session->variable("ShowOtherCalendarTypes")==false)||(isSet($GetByTypeID))) $type = new eZGroupEventType( $session->variable( "ShowOtherCalendarTypes" ) )

Definition at line 114 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $typeList

foreach ($group_array as $groupItem) $typeList = $type->getAll()

Definition at line 583 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $URL

$URL = explode( "/", $_SERVER['REQUEST_URI'])

Definition at line 73 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $user

$user = eZUser::currentUser()

Definition at line 69 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $user_groupID

$user_groupID = "-1"

Definition at line 171 of file ezgroupeventcalendar/user/monthview.php.

## ◆ $zMonth

$zMonth = addZero($Month)

Definition at line 144 of file ezgroupeventcalendar/user/monthview.php.

## ◆ else

if ($Month==1) else

Initial value:
{
$readGroup = new eZUserGroup( $session->variable( "ShowOtherCalendarGroups" ) )
eZUserGroup
Definition: ezusergroup.php:66
$session
$session
Definition: ezgroupeventcalendar/user/monthview.php:70

Definition at line 82 of file ezgroupeventcalendar/user/monthview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.